from ons_metadata_validation.reference.constants import MetaMapper

V2_TEMP = {
    MetaMapper.DATASET_dataset_resource_name.value: {
        "tab": "Dataset Resource",
        "name": "Dataset Resource Name",
        "ref_cell": "C6",
        "value_cell": "F6",
        "mandatory": True,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.DATASET_dataset_resource_name.value,
    },
    MetaMapper.DATASET_acronym.value: {
        "tab": "Dataset Resource",
        "name": "Acronym",
        "ref_cell": "C7",
        "value_cell": "F7",
        "mandatory": False,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.DATASET_acronym.value,
    },
    MetaMapper.DATASET_significant_changes.value: {
        "tab": "Dataset Resource",
        "name": "Significant Changes",
        "ref_cell": "C8",
        "value_cell": "F8",
        "mandatory": False,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.DATASET_significant_changes.value,
    },
    MetaMapper.DATASET_data_creator.value: {
        "tab": "Dataset Resource",
        "name": "Data Creator",
        "ref_cell": "C9",
        "value_cell": "F9",
        "mandatory": True,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.DATASET_data_creator.value,
    },
    MetaMapper.DATASET_data_contributor_s.value: {
        "tab": "Dataset Resource",
        "name": "Data Contributor(s)",
        "ref_cell": "C10",
        "value_cell": "F10",
        "mandatory": False,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.DATASET_data_contributor_s.value,
    },
    MetaMapper.DATASET_purpose_of_this_dataset_resource.value: {
        "tab": "Dataset Resource",
        "name": "Purpose of this Dataset Resource",
        "ref_cell": "C11",
        "value_cell": "F11",
        "mandatory": True,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.DATASET_purpose_of_this_dataset_resource.value,
    },
    MetaMapper.DATASET_search_keywords.value: {
        "tab": "Dataset Resource",
        "name": "Search keywords",
        "ref_cell": "C12",
        "value_cell": "F12",
        "mandatory": True,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.DATASET_search_keywords.value,
    },
    MetaMapper.DATASET_dataset_theme.value: {
        "tab": "Dataset Resource",
        "name": "Dataset Theme",
        "ref_cell": "C13",
        "value_cell": "F13",
        "mandatory": True,
        "enum": [
            "Business and economy",
            "Crime and justice",
            "Defence",
            "Education",
            "Environment",
            "Government",
            "Government spending",
            "Health",
            "Mapping",
            "Society",
            "Towns and cities",
            "Transport",
            "Digital service performance",
            "Government reference data",
        ],
        "datatype": str,
        "std_name": MetaMapper.DATASET_dataset_theme.value,
    },
    MetaMapper.DATASET_geographic_level.value: {
        "tab": "Dataset Resource",
        "name": "Geographic Level",
        "ref_cell": "C14",
        "value_cell": "F14",
        "mandatory": False,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.DATASET_geographic_level.value,
    },
    MetaMapper.DATASET_provenance.value: {
        "tab": "Dataset Resource",
        "name": "Provenance",
        "ref_cell": "C15",
        "value_cell": "F15",
        "mandatory": False,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.DATASET_provenance.value,
    },
    MetaMapper.DATASET_number_of_dataset_series.value: {
        "tab": "Dataset Resource",
        "name": "Number of Dataset Series",
        "ref_cell": "C18",
        "value_cell": "F18",
        "mandatory": True,
        "enum": [],
        "datatype": int,
        "std_name": MetaMapper.DATASET_number_of_dataset_series.value,
    },
    MetaMapper.DATASET_number_of_structural_data_files.value: {
        "tab": "Dataset Resource",
        "name": "Number of structural data files",
        "ref_cell": "C19",
        "value_cell": "F19",
        "mandatory": True,
        "enum": [],
        "datatype": int,
        "std_name": MetaMapper.DATASET_number_of_structural_data_files.value,
    },
    MetaMapper.DATASET_date_of_completion.value: {
        "tab": "Dataset Resource",
        "name": "Date of completion",
        "ref_cell": "C20",
        "value_cell": "F20",
        "mandatory": True,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.DATASET_date_of_completion.value,
    },
    MetaMapper.DATASET_name_and_email_of_individual_completing_this_template.value: {
        "tab": "Dataset Resource",
        "name": "Name and email of individual completing this template",
        "ref_cell": "C21",
        "value_cell": "F21",
        "mandatory": True,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.DATASET_name_and_email_of_individual_completing_this_template.value,
    },
    MetaMapper.DATASET_security_classification.value: {
        "tab": "Dataset Resource",
        "name": "Security Classification",
        "ref_cell": "C24",
        "value_cell": "F24",
        "mandatory": True,
        "enum": [
            "Official",
            "Official-Sensitive",
            "Secret",
            "Top Secret",
            "Non-Applicable",
        ],
        "datatype": str,
        "std_name": MetaMapper.DATASET_security_classification.value,
    },
    MetaMapper.DATASET_dataset_resource_type.value: {
        "tab": "Dataset Resource",
        "name": "Dataset Resource type",
        "ref_cell": "C25",
        "value_cell": "F25",
        "mandatory": True,
        "enum": [
            "Dataset Series",
            "Longitudinal",
            "Survey",
            "Statistical Output - Experimental",
            "Statistical Output - Key",
            "Statistical Output - National",
            "Reference",
            "Code List",
            "Administrative",
        ],
        "datatype": str,
        "std_name": MetaMapper.DATASET_dataset_resource_type.value,
    },
    MetaMapper.DATASET_number_of_non_structural_reference_files.value: {
        "tab": "Dataset Resource",
        "name": "Number of non-structural/reference files ",
        "ref_cell": "C26",
        "value_cell": "F26",
        "mandatory": True,
        "enum": [],
        "datatype": int,
        "std_name": MetaMapper.DATASET_number_of_non_structural_reference_files.value,
    },
    MetaMapper.DATASET_number_of_code_list_files.value: {
        "tab": "Dataset Resource",
        "name": "Number of code list files",
        "ref_cell": "C27",
        "value_cell": "F27",
        "mandatory": True,
        "enum": [],
        "datatype": int,
        "std_name": MetaMapper.DATASET_number_of_code_list_files.value,
    },
    MetaMapper.SERIES_dataset_series_name.value: {
        "tab": "Dataset Series",
        "name": "Dataset Series Name",
        "ref_cell": "C7",
        "value_cell": "C11",
        "mandatory": True,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.SERIES_dataset_series_name.value,
    },
    MetaMapper.SERIES_google_cloud_platform_bigquery_table_name.value: {
        "tab": "Dataset Series",
        "name": "Google Cloud Platform BigQuery Table Name",
        "ref_cell": "D7",
        "value_cell": "D11",
        "mandatory": True,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.SERIES_google_cloud_platform_bigquery_table_name.value,
    },
    MetaMapper.SERIES_description.value: {
        "tab": "Dataset Series",
        "name": "Description",
        "ref_cell": "E7",
        "value_cell": "E11",
        "mandatory": True,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.SERIES_description.value,
    },
    MetaMapper.SERIES_reference_period.value: {
        "tab": "Dataset Series",
        "name": "Reference Period",
        "ref_cell": "F7",
        "value_cell": "F11",
        "mandatory": True,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.SERIES_reference_period.value,
    },
    MetaMapper.SERIES_geographic_coverage.value: {
        "tab": "Dataset Series",
        "name": "Geographic Coverage",
        "ref_cell": "G7",
        "value_cell": "G11",
        "mandatory": True,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.SERIES_geographic_coverage.value,
    },
    MetaMapper.SERIES_frequency.value: {
        "tab": "Dataset Series",
        "name": "Frequency",
        "ref_cell": "H7",
        "value_cell": "H11",
        "mandatory": True,
        "enum": [
            "Annual",
            "Biennial",
            "Bimonthly",
            "Biweekly",
            "Continuous",
            "Daily",
            "Historical",
            "Irregular",
            "Monthly",
            "Periodic",
            "Quarterly",
            "Real Time",
            "Semiannual",
            "Semimonthly",
            "Semiweekly",
            "Single",
            "Three times a month",
            "Three times a week",
            "Three times a year",
            "Triennial",
            "Weekly",
        ],
        "datatype": str,
        "std_name": MetaMapper.SERIES_frequency.value,
    },
    MetaMapper.SERIES_supply_type.value: {
        "tab": "Dataset Series",
        "name": "Supply Type",
        "ref_cell": "I7",
        "value_cell": "I11",
        "mandatory": True,
        "enum": ["Full ", "Append"],
        "datatype": str,
        "std_name": MetaMapper.SERIES_supply_type.value,
    },
    MetaMapper.SERIES_wave_number_time_period_covered_survey_only.value: {
        "tab": "Dataset Series",
        "name": "Wave number/time period covered (Survey only)",
        "ref_cell": "J7",
        "value_cell": "J11",
        "mandatory": False,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.SERIES_wave_number_time_period_covered_survey_only.value,
    },
    MetaMapper.SERIES_links_to_online_documentation_and_other_useful_materials.value: {
        "tab": "Dataset Series",
        "name": "Links "
        "to "
        "online "
        "documentation "
        "and "
        "other "
        "useful "
        "materials",
        "ref_cell": "K7",
        "value_cell": "K11",
        "mandatory": False,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.SERIES_links_to_online_documentation_and_other_useful_materials.value,
    },
    MetaMapper.FILE_google_cloud_platform_bigquery_table_name.value: {
        "tab": "Dataset File",
        "name": "Google Cloud Platform BigQuery Table Name",
        "ref_cell": "C7",
        "value_cell": "C11",
        "mandatory": True,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.FILE_google_cloud_platform_bigquery_table_name.value,
    },
    MetaMapper.FILE_file_path_and_name.value: {
        "tab": "Dataset File",
        "name": "File path and name",
        "ref_cell": "D7",
        "value_cell": "D11",
        "mandatory": True,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.FILE_file_path_and_name.value,
    },
    MetaMapper.FILE_file_format.value: {
        "tab": "Dataset File",
        "name": "File Format",
        "ref_cell": "E7",
        "value_cell": "E11",
        "mandatory": True,
        "enum": ["CSV", "JSON", "PARQUET", "JSON Multi-Line"],
        "datatype": str,
        "std_name": MetaMapper.FILE_file_format.value,
    },
    MetaMapper.FILE_column_seperator.value: {
        "tab": "Dataset File",
        "name": "Column Seperator",
        "ref_cell": "F7",
        "value_cell": "F11",
        "mandatory": False,
        "enum": [",", "|", "\\t"],
        "datatype": str,
        "std_name": MetaMapper.FILE_column_seperator.value,
    },
    MetaMapper.FILE_string_identifier.value: {
        "tab": "Dataset File",
        "name": "String identifier",
        "ref_cell": "G7",
        "value_cell": "G11",
        "mandatory": False,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.FILE_string_identifier.value,
    },
    MetaMapper.FILE_file_description.value: {
        "tab": "Dataset File",
        "name": "File description",
        "ref_cell": "H7",
        "value_cell": "H11",
        "mandatory": True,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.FILE_file_description.value,
    },
    MetaMapper.FILE_reference_period.value: {
        "tab": "Dataset File",
        "name": "Reference period",
        "ref_cell": "I7",
        "value_cell": "I11",
        "mandatory": True,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.FILE_reference_period.value,
    },
    MetaMapper.FILE_file_size.value: {
        "tab": "Dataset File",
        "name": "File size",
        "ref_cell": "J7",
        "value_cell": "J11",
        "mandatory": True,
        "enum": [],
        "datatype": float,
        "std_name": MetaMapper.FILE_file_size.value,
    },
    MetaMapper.FILE_file_size_unit.value: {
        "tab": "Dataset File",
        "name": "File size unit",
        "ref_cell": "K7",
        "value_cell": "K11",
        "mandatory": True,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.FILE_file_size_unit.value,
    },
    MetaMapper.FILE_is_code_list.value: {
        "tab": "Dataset File",
        "name": "Is code list",
        "ref_cell": "L7",
        "value_cell": "L11",
        "mandatory": True,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.FILE_is_code_list.value,
    },
    MetaMapper.FILE_number_of_records.value: {
        "tab": "Dataset File",
        "name": "Number of records",
        "ref_cell": "M7",
        "value_cell": "M11",
        "mandatory": True,
        "enum": [],
        "datatype": int,
        "std_name": MetaMapper.FILE_number_of_records.value,
    },
    MetaMapper.FILE_is_this_file_one_of_a_sequence_to_be_appended_back_together.value: {
        "tab": "Dataset File",
        "name": "Is this file one of a sequence to be appended back together?",
        "ref_cell": "N7",
        "value_cell": "N11",
        "mandatory": True,
        "enum": ["Yes", "No"],
        "datatype": str,
        "std_name": MetaMapper.FILE_is_this_file_one_of_a_sequence_to_be_appended_back_together.value,
    },
    MetaMapper.FILE_number_of_header_rows.value: {
        "tab": "Dataset File",
        "name": "Number of header rows",
        "ref_cell": "O7",
        "value_cell": "O11",
        "mandatory": True,
        "enum": [],
        "datatype": int,
        "std_name": MetaMapper.FILE_number_of_header_rows.value,
    },
    MetaMapper.FILE_number_of_footer_rows.value: {
        "tab": "Dataset File",
        "name": "Number of footer rows",
        "ref_cell": "P7",
        "value_cell": "P11",
        "mandatory": True,
        "enum": [],
        "datatype": int,
        "std_name": MetaMapper.FILE_number_of_footer_rows.value,
    },
    MetaMapper.FILE_character_encoding.value: {
        "tab": "Dataset File",
        "name": "Character encoding",
        "ref_cell": "Q7",
        "value_cell": "Q11",
        "mandatory": True,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.FILE_character_encoding.value,
    },
    MetaMapper.FILE_hash_value_for_checksum.value: {
        "tab": "Dataset File",
        "name": "Hash value for checksum",
        "ref_cell": "R7",
        "value_cell": "R11",
        "mandatory": True,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.FILE_hash_value_for_checksum.value,
    },
    MetaMapper.FILE_notes.value: {
        "tab": "Dataset File",
        "name": "Notes",
        "ref_cell": "S7",
        "value_cell": "S11",
        "mandatory": False,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.FILE_notes.value,
    },
    MetaMapper.VARS_google_cloud_platform_bigquery_table_name.value: {
        "tab": "Variables",
        "name": "Google Cloud Platform BigQuery Table Name",
        "ref_cell": "C6",
        "value_cell": "C10",
        "mandatory": True,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.VARS_google_cloud_platform_bigquery_table_name.value,
    },
    MetaMapper.VARS_variable_name.value: {
        "tab": "Variables",
        "name": "Variable name",
        "ref_cell": "D6",
        "value_cell": "D10",
        "mandatory": True,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.VARS_variable_name.value,
    },
    MetaMapper.VARS_google_cloud_platform_compatible_variable_name.value: {
        "tab": "Variables",
        "name": "Google Cloud Platform compatible variable name",
        "ref_cell": "E6",
        "value_cell": "E10",
        "mandatory": True,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.VARS_google_cloud_platform_compatible_variable_name.value,
    },
    MetaMapper.VARS_variable_label.value: {
        "tab": "Variables",
        "name": "Variable label",
        "ref_cell": "F6",
        "value_cell": "F10",
        "mandatory": True,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.VARS_variable_label.value,
    },
    MetaMapper.VARS_variable_description.value: {
        "tab": "Variables",
        "name": "Variable description",
        "ref_cell": "G6",
        "value_cell": "G10",
        "mandatory": True,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.VARS_variable_description.value,
    },
    MetaMapper.VARS_position_in_file.value: {
        "tab": "Variables",
        "name": "Position in file",
        "ref_cell": "H6",
        "value_cell": "H10",
        "mandatory": False,
        "enum": [],
        "datatype": int,
        "std_name": MetaMapper.VARS_position_in_file.value,
    },
    MetaMapper.VARS_personally_identifiable_information.value: {
        "tab": "Variables",
        "name": "Personally Identifiable Information",
        "ref_cell": "I6",
        "value_cell": "I10",
        "mandatory": True,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.VARS_personally_identifiable_information.value,
    },
    MetaMapper.VARS_variable_data_type.value: {
        "tab": "Variables",
        "name": "Variable Data Type",
        "ref_cell": "J6",
        "value_cell": "J10",
        "mandatory": True,
        "enum": [
            "ARRAY",
            "ARRAYTYPE",
            "BIGINT",
            "BOOLEAN",
            "BOOLEANTYPE",
            "CLOB",
            "DATE",
            "DATETIME",
            "DATETYPE",
            "DECIMAL",
            "DECIMALTYPE",
            "DOUBLE",
            "DOUBLETYPE",
            "FLOAT",
            "INT",
            "INT16",
            "INT32",
            "INT64",
            "INT8",
            "INTEGER",
            "INTEGERTYPE",
            "LONG",
            "LONGTEXT",
            "LONGTYPE",
            "MAP",
            "MAPTYPE",
            "SHORTTEXT",
            "SMALLINT",
            "STR",
            "STRING",
            "STRINGTYPE",
            "STRUCT",
            "STRUCTTYPE",
            "TEXT",
            "TIME",
            "TIMESTAMP",
            "TIMESTAMPTYPE",
            "TINYINT",
            "UNICODESTRING",
        ],
        "datatype": str,
        "std_name": MetaMapper.VARS_variable_data_type.value,
    },
    MetaMapper.VARS_gcp_data_type.value: {
        "tab": "Variables",
        "name": "GCP Data Type",
        "ref_cell": "K6",
        "value_cell": "K10",
        "mandatory": True,
        "enum": [
            "ARRAY",
            "BIGNUMBER",
            "BOOL",
            "DATE",
            "FLOAT64",
            "INT64",
            "INTERVAL",
            "STRING",
            "TIME",
            "TIMESTAMP",
        ],
        "datatype": str,
        "std_name": MetaMapper.VARS_gcp_data_type.value,
    },
    MetaMapper.VARS_variable_length_precision.value: {
        "tab": "Variables",
        "name": "Variable length/precision",
        "ref_cell": "L6",
        "value_cell": "L10",
        "mandatory": False,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.VARS_variable_length_precision.value,
    },
    MetaMapper.VARS_variable_format.value: {
        "tab": "Variables",
        "name": "Variable format",
        "ref_cell": "M6",
        "value_cell": "M10",
        "mandatory": False,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.VARS_variable_format.value,
    },
    MetaMapper.VARS_is_primary_key.value: {
        "tab": "Variables",
        "name": "Is Primary Key",
        "ref_cell": "N6",
        "value_cell": "N10",
        "mandatory": False,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.VARS_is_primary_key.value,
    },
    MetaMapper.VARS_is_foreign_key.value: {
        "tab": "Variables",
        "name": "Is Foreign Key",
        "ref_cell": "O6",
        "value_cell": "O10",
        "mandatory": False,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.VARS_is_foreign_key.value,
    },
    MetaMapper.VARS_foreign_key_file_name.value: {
        "tab": "Variables",
        "name": "Foreign Key file name",
        "ref_cell": "P6",
        "value_cell": "P10",
        "mandatory": False,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.VARS_foreign_key_file_name.value,
    },
    MetaMapper.VARS_foreign_key_variable_name.value: {
        "tab": "Variables",
        "name": "Foreign Key variable name",
        "ref_cell": "Q6",
        "value_cell": "Q10",
        "mandatory": False,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.VARS_foreign_key_variable_name.value,
    },
    MetaMapper.VARS_nullability.value: {
        "tab": "Variables",
        "name": "Nullability",
        "ref_cell": "R6",
        "value_cell": "R10",
        "mandatory": True,
        "enum": ["NULL", "NOT NULL"],
        "datatype": str,
        "std_name": MetaMapper.VARS_nullability.value,
    },
    MetaMapper.VARS_null_values_denoted_by.value: {
        "tab": "Variables",
        "name": "Null values denoted by",
        "ref_cell": "S6",
        "value_cell": "S10",
        "mandatory": False,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.VARS_null_values_denoted_by.value,
    },
    MetaMapper.VARS_variable_constraints.value: {
        "tab": "Variables",
        "name": "Variable constraints",
        "ref_cell": "T6",
        "value_cell": "T10",
        "mandatory": False,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.VARS_variable_constraints.value,
    },
    MetaMapper.VARS_applicable_business_rules.value: {
        "tab": "Variables",
        "name": "Applicable business rules",
        "ref_cell": "U6",
        "value_cell": "U10",
        "mandatory": False,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.VARS_applicable_business_rules.value,
    },
    MetaMapper.VARS_is_this_a_code.value: {
        "tab": "Variables",
        "name": "Is this a code?",
        "ref_cell": "V6",
        "value_cell": "V10",
        "mandatory": True,
        "enum": ["Yes", "No"],
        "datatype": str,
        "std_name": MetaMapper.VARS_is_this_a_code.value,
    },
    MetaMapper.VARS_notes.value: {
        "tab": "Variables",
        "name": "Notes",
        "ref_cell": "W6",
        "value_cell": "W10",
        "mandatory": False,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.VARS_notes.value,
    },
    MetaMapper.CODES_google_cloud_platform_bigquery_table_name.value: {
        "tab": "Codes and Values",
        "name": "Google Cloud Platform BigQuery Table Name",
        "ref_cell": "C5",
        "value_cell": "C8",
        "mandatory": False,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.CODES_google_cloud_platform_bigquery_table_name.value,
    },
    MetaMapper.CODES_variable_name.value: {
        "tab": "Codes and Values",
        "name": "Variable name",
        "ref_cell": "D5",
        "value_cell": "D8",
        "mandatory": True,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.CODES_variable_name.value,
    },
    MetaMapper.CODES_key.value: {
        "tab": "Codes and Values",
        "name": "Key",
        "ref_cell": "E5",
        "value_cell": "E8",
        "mandatory": True,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.CODES_key.value,
    },
    MetaMapper.CODES_value.value: {
        "tab": "Codes and Values",
        "name": "Value",
        "ref_cell": "F5",
        "value_cell": "F8",
        "mandatory": True,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.CODES_value.value,
    },
    MetaMapper.CODES_notes.value: {
        "tab": "Codes and Values",
        "name": "Notes",
        "ref_cell": "G5",
        "value_cell": "G8",
        "mandatory": False,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.CODES_notes.value,
    },
    MetaMapper.DATASET_ids_business_catalogue_identifier.value: {
        "tab": "Back Office",
        "name": "IDS Business Catalogue Identifier",
        "ref_cell": "C14",
        "value_cell": "F14",
        "mandatory": True,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.DATASET_ids_business_catalogue_identifier.value,
    },
    MetaMapper.DATASET_description.value: {
        "tab": "Back Office",
        "name": "Description",
        "ref_cell": "C15",
        "value_cell": "F15",
        "mandatory": True,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.DATASET_description.value,
    },
    MetaMapper.DATASET_abstract.value: {
        "tab": "Back Office",
        "name": "Abstract",
        "ref_cell": "C16",
        "value_cell": "F16",
        "mandatory": True,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.DATASET_abstract.value,
    },
    MetaMapper.DATASET_google_cloud_platform_project_name.value: {
        "tab": "Back Office",
        "name": "Google Cloud Platform Project name",
        "ref_cell": "C17",
        "value_cell": "F17",
        "mandatory": True,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.DATASET_google_cloud_platform_project_name.value,
    },
    MetaMapper.DATASET_google_cloud_platform_big_query_dataset_name.value: {
        "tab": "Back Office",
        "name": "Google Cloud Platform Big Query Dataset name",
        "ref_cell": "C18",
        "value_cell": "F18",
        "mandatory": True,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.DATASET_google_cloud_platform_big_query_dataset_name.value,
    },
    MetaMapper.DATASET_other_unique_identifier_s_for_dataset_resource.value: {
        "tab": "Back Office",
        "name": "Other Unique Identifier(s) for Dataset Resource",
        "ref_cell": "C19",
        "value_cell": "F19",
        "mandatory": False,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.DATASET_other_unique_identifier_s_for_dataset_resource.value,
    },
    MetaMapper.DATASET_frequency.value: {
        "tab": "Back Office",
        "name": "Frequency ",
        "ref_cell": "C20",
        "value_cell": "F20",
        "mandatory": True,
        "enum": [
            "Annual",
            "Biennial",
            "Bimonthly",
            "Biweekly",
            "Continuous",
            "Daily",
            "Historical",
            "Irregular",
            "Monthly",
            "Periodic",
            "Quarterly",
            "Real Time",
            "Semiannual",
            "Semimonthly",
            "Semiweekly",
            "Single",
            "Three times a month",
            "Three times a week",
            "Three times a year",
            "Triennial",
            "Weekly",
        ],
        "datatype": str,
        "std_name": MetaMapper.DATASET_frequency.value,
    },
    MetaMapper.DATASET_geographic_coverage.value: {
        "tab": "Back Office",
        "name": "Geographic Coverage",
        "ref_cell": "C21",
        "value_cell": "F21",
        "mandatory": True,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.DATASET_geographic_coverage.value,
    },
    MetaMapper.DATASET_temporal_coverage.value: {
        "tab": "Back Office",
        "name": "Temporal Coverage",
        "ref_cell": "C22",
        "value_cell": "F22",
        "mandatory": True,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.DATASET_temporal_coverage.value,
    },
    MetaMapper.DATASET_sensitivity_status_for_dataset_resource.value: {
        "tab": "Back Office",
        "name": "Sensitivity status for Dataset Resource",
        "ref_cell": "C23",
        "value_cell": "F23",
        "mandatory": True,
        "enum": ["Low", "Medium", "High"],
        "datatype": str,
        "std_name": MetaMapper.DATASET_sensitivity_status_for_dataset_resource.value,
    },
    MetaMapper.DATASET_sensitivity_tool_url.value: {
        "tab": "Back Office",
        "name": "Sensitivity tool URL",
        "ref_cell": "C24",
        "value_cell": "F24",
        "mandatory": True,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.DATASET_sensitivity_tool_url.value,
    },
    MetaMapper.DATASET_retention_date.value: {
        "tab": "Back Office",
        "name": "Retention Date",
        "ref_cell": "C25",
        "value_cell": "F25",
        "mandatory": True,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.DATASET_retention_date.value,
    },
    MetaMapper.DATASET_provider_statement_for_retention_removal_or_deletion.value: {
        "tab": "Back Office",
        "name": "Provider statement for retention, removal or deletion",
        "ref_cell": "C26",
        "value_cell": "F26",
        "mandatory": True,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.DATASET_provider_statement_for_retention_removal_or_deletion.value,
    },
    MetaMapper.DATASET_removal_date.value: {
        "tab": "Back Office",
        "name": "Removal Date",
        "ref_cell": "C27",
        "value_cell": "F27",
        "mandatory": False,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.DATASET_removal_date.value,
    },
    MetaMapper.DATASET_removal_comments.value: {
        "tab": "Back Office",
        "name": "Removal Comments",
        "ref_cell": "C28",
        "value_cell": "F28",
        "mandatory": False,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.DATASET_removal_comments.value,
    },
    MetaMapper.DATASET_data_controller.value: {
        "tab": "Back Office",
        "name": "Data Controller",
        "ref_cell": "C29",
        "value_cell": "F29",
        "mandatory": True,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.DATASET_data_controller.value,
    },
    MetaMapper.DATASET_data_processor.value: {
        "tab": "Back Office",
        "name": "Data Processor",
        "ref_cell": "C30",
        "value_cell": "F30",
        "mandatory": False,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.DATASET_data_processor.value,
    },
    MetaMapper.DATASET_dataset_domain.value: {
        "tab": "Back Office",
        "name": "Dataset Domain",
        "ref_cell": "C31",
        "value_cell": "F31",
        "mandatory": True,
        "enum": [
            "Crime and Justice",
            "Economics",
            "Government finance, Fiscal and Public Sector finances",
            "Human settlements and housing",
            "Income and Consumption",
            "Education ",
            "Health ",
            "Labour",
            "Population and Migration",
        ],
        "datatype": str,
        "std_name": MetaMapper.DATASET_dataset_domain.value,
    },
    MetaMapper.DATASET_legal_gateway.value: {
        "tab": "Back Office",
        "name": "Legal Gateway",
        "ref_cell": "C32",
        "value_cell": "F32",
        "mandatory": False,
        "enum": [
            "Digital Economy Act 2017",
            "Statistics and Registration Service Act 2007",
            "NHS Act 2006",
            "NHS Act 2006 with COPI Regulations 2002, Reg 3(4)",
            "Health and Social Care Act 2012",
            "Education Act 1996 / 2011",
            "Education and Skills Act 2008",
            "Children's Act 1989",
            "Legal Gateway Not Required",
            "Other",
        ],
        "datatype": str,
        "std_name": MetaMapper.DATASET_legal_gateway.value,
    },
    MetaMapper.DATASET_other_legal_gateway.value: {
        "tab": "Back Office",
        "name": "Other Legal Gateway",
        "ref_cell": "C33",
        "value_cell": "F33",
        "mandatory": False,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.DATASET_other_legal_gateway.value,
    },
    MetaMapper.DATASET_licensing_status.value: {
        "tab": "Back Office",
        "name": "Licensing status",
        "ref_cell": "C34",
        "value_cell": "F34",
        "mandatory": False,
        "enum": [
            "Open Data Commons Open Database License (ODbL)",
            "Open Government Licence v3.0",
            "Open Government Licence v2.0",
            "Open Government Licence v1.0",
            "Statistics and Registration Service Act 2007",
            "Non-Commercial Government Licence v2.0",
            "Non-Commercial Government Licence v1.0",
            "Developer Licence 2.0",
            "Developer Licence 1.0",
            "Charged Licence",
            "Open Supreme Court Licence",
            "Restricted",
            "Memorandum of Understanding (MoU)",
        ],
        "datatype": str,
        "std_name": MetaMapper.DATASET_licensing_status.value,
    },
    MetaMapper.DATASET_metadata_access.value: {
        "tab": "Back Office",
        "name": "Metadata Access",
        "ref_cell": "C35",
        "value_cell": "F35",
        "mandatory": True,
        "enum": [
            "Publish to Website & Hub",
            "Publish to Hub only",
            "Do not publish",
        ],
        "datatype": str,
        "std_name": MetaMapper.DATASET_metadata_access.value,
    },
    MetaMapper.DATASET_documentation.value: {
        "tab": "Back Office",
        "name": "Documentation",
        "ref_cell": "C36",
        "value_cell": "F36",
        "mandatory": True,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.DATASET_documentation.value,
    },
    MetaMapper.DATASET_what_are_the_linkage_requirements_for_the_data_within_the_project_scope.value: {
        "tab": "Back Office",
        "name": "What are the linkage requirements for the data within the project scope?",
        "ref_cell": "C37",
        "value_cell": "F37",
        "mandatory": True,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.DATASET_what_are_the_linkage_requirements_for_the_data_within_the_project_scope.value,
    },
    MetaMapper.DATASET_how_has_deidentification_been_achieved.value: {
        "tab": "Back Office",
        "name": "How has deidentification been achieved?",
        "ref_cell": "C38",
        "value_cell": "F38",
        "mandatory": True,
        "enum": [],
        "datatype": str,
        "std_name": MetaMapper.DATASET_how_has_deidentification_been_achieved.value,
    },
    MetaMapper.DATASET_should_this_dataset_be_visible_for_internal_or_external_users.value: {
        "tab": "Back Office",
        "name": "Should this dataset be visible for internal or external users?",
        "ref_cell": "C39",
        "value_cell": "F39",
        "mandatory": True,
        "enum": ["Internal only", "Internal and External"],
        "datatype": str,
        "std_name": MetaMapper.DATASET_should_this_dataset_be_visible_for_internal_or_external_users.value,
    },
    MetaMapper.DATASET_restrictions_for_access.value: {
        "tab": "Back Office",
        "name": "Restrictions for Access",
        "ref_cell": "C40",
        "value_cell": "F40",
        "mandatory": True,
        "enum": [
            "Access for all accredited researchers",
            "Access limited to specific researchers",
            "Limited to specific individuals",
        ],
        "datatype": str,
        "std_name": MetaMapper.DATASET_restrictions_for_access.value,
    },
    MetaMapper.DATASET_research_outputs.value: {
        "tab": "Back Office",
        "name": "Research Outputs",
        "ref_cell": "C41",
        "value_cell": "F41",
        "mandatory": True,
        "enum": [
            "Research outputs must be sent to the data owner",
            "Research outputs must be approved by the data owner",
            "No requirements",
        ],
        "datatype": str,
        "std_name": MetaMapper.DATASET_research_outputs.value,
    },
    MetaMapper.DATASET_project_approval.value: {
        "tab": "Back Office",
        "name": "Project Approval",
        "ref_cell": "C42",
        "value_cell": "F42",
        "mandatory": True,
        "enum": [
            "Projects must be accredited and have approval from the data owner",
            "Projects must be accredited",
        ],
        "datatype": str,
        "std_name": MetaMapper.DATASET_project_approval.value,
    },
    MetaMapper.DATASET_disclosure_control.value: {
        "tab": "Back Office",
        "name": "Disclosure Control",
        "ref_cell": "C43",
        "value_cell": "F43",
        "mandatory": True,
        "enum": [
            "Standard disclosure rules apply",
            "Bespoke disclosure rules apply",
        ],
        "datatype": str,
        "std_name": MetaMapper.DATASET_disclosure_control.value,
    },
    MetaMapper.DATASET_research_disclaimer.value: {
        "tab": "Back Office",
        "name": "Research Disclaimer",
        "ref_cell": "C44",
        "value_cell": "F44",
        "mandatory": True,
        "enum": [
            "A disclaimer must be published with research outputs",
            "No requirements",
        ],
        "datatype": str,
        "std_name": MetaMapper.DATASET_research_disclaimer.value,
    },
}
